- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- UdmQueryFeedback
- YLRuleFeedback
- InvestigationFeedback
- FeedbackTarget
- FeedbackRating
- AgentFeedback
- ResourceContext
- AgentName
- ItemFeedback
- FeedbackContent
- FeedbackType
Full name: projects.locations.instances.createFeedback
RPC to submit user feedback on content generated by AI services.
HTTP request
POST https://{endpoint}/v1alpha/{instance}:createFeedback
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The Chronicle instance associated with the request. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "type": enum ( |
| Fields | |
|---|---|
type |
Optional. Feedback type. |
comment |
Optional. Feedback comment. |
Union field metadata. The feedback metadata associated with the user feedback. metadata can be only one of the following: |
|
udmQueryFeedback |
Feedback metadata for UDM query translation. |
ylRuleFeedback |
Feedback metadata for Yara-L rule translation. |
investigationFeedback |
Feedback metadata for Investigation and its components. |
agentFeedback |
Feedback metadata for an AI Agent's output. |
Response body
Response message for instances.createFeedback.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "feedbackId": string } |
| Fields | |
|---|---|
feedbackId |
Unique ID for this translation. Currently only used for audit logging purpose only. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.ais.createFeedback
For more information, see the IAM documentation.
UdmQueryFeedback
UdmQueryFeedback contains metadata for the feedback submitted on UDM query translation.
| JSON representation |
|---|
{ "originalInputText": string, "originalOutputQuery": string, "rewrittenQuery": string } |
| Fields | |
|---|---|
originalInputText |
Required. The original natural language text used for the translation. |
originalOutputQuery |
Optional. Original UDM query returned by the translation. |
rewrittenQuery |
Optional. Rewritten UDM query (if modified). |
YLRuleFeedback
YLRuleFeedback contains metadata for the feedback submitted on Yara-L rule translation.
| JSON representation |
|---|
{ "originalInputDescription": string, "originalInputQuery": string, "originalOutputRule": string, "rewrittenRule": string } |
| Fields | |
|---|---|
originalInputDescription |
Required. The original natural language description used for the translation. |
originalInputQuery |
Optional. The original UDM query used for the rule generation. |
originalOutputRule |
Optional. Original Yara-L rule returned by the translation. |
rewrittenRule |
Optional. Rewritten Yara-L rule text (if modified). |
InvestigationFeedback
InvestigationFeedback contains metadata for the feedback submitted on Investigation and its components.
| JSON representation |
|---|
{ "feedbackTarget": enum ( |
| Fields | |
|---|---|
feedbackTarget |
Required. Specifies which part of Investigation being reviewed |
feedbackRating |
Optional. Represents the satisfaction rating |
feedbackLabels[] |
Optional. The labels for the feedback. eg. Incorrect Info, Info etc. |
Union field target. Target for which the feedback is submitted. target can be only one of the following: |
|
investigation |
Reference to the investigation. |
investigationStep |
Reference to the investigation step. |
FeedbackTarget
FeedbackTarget contains the target of the feedback.
| Enums | |
|---|---|
FEEDBACK_TARGET_UNSPECIFIED |
The target of the feedback is unknown. |
SUMMARY_VERDICT |
The target of the feedback is summary verdict. |
SUGGESTED_NEXT_STEPS |
The target of the feedback is suggested next steps. |
INVESTIGATION_STEP |
The target of the feedback is investigation step. |
VERDICT |
The target of the feedback is Verdict |
SUMMARY |
The target of the feedback is Summary. |
FeedbackRating
FeedbackRating contains the rating of the feedback.
| Enums | |
|---|---|
FEEDBACK_RATING_UNSPECIFIED |
The rating of the feedback is unknown. |
VERY_SATISFIED |
The rating of the feedback is very satisfied. |
SOMEWHAT_SATISFIED |
The rating of the feedback is somewhat satisfied. |
NEUTRAL |
The rating of the feedback is neutral. |
SOMEWHAT_DISSATISFIED |
The rating of the feedback is somewhat dissatisfied. |
VERY_DISSATISFIED |
The rating of the feedback is very dissatisfied. |
AgentFeedback
Represents a generic container for feedback on AI agent outputs.
| JSON representation |
|---|
{ "resourceContext": { object ( |
| Fields | |
|---|---|
resourceContext |
Required. Context of the resource the agent was run against. |
agent |
Required. Name of agent. |
feedback[] |
Required. Detailed feedback on a specific part of the agent's output. This top-level ItemFeedback can represent the overall feedback or the root of a more complex feedback structure. |
ResourceContext
Contains context about the primary resource this feedback relates to.
| JSON representation |
|---|
{ "primaryResource": string } |
| Fields | |
|---|---|
primaryResource |
Required. Example: For THA, this would be the Case resource name. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case} |
AgentName
Represents the different types of agents.
| Enums | |
|---|---|
AGENT_NAME_UNKNOWN |
The agent is unknown. |
THREAT_HUNT_AGENT |
The agent is a threat hunt agent. |
TRIAGE_AGENT |
The agent is a triage agent. |
CHAT_AGENT |
The agent is a chat agent. |
ItemFeedback
Provides feedback on a specific item or component. Items can be nested.
| JSON representation |
|---|
{ "itemId": string, "itemType": string, "content": { object ( |
| Fields | |
|---|---|
itemId |
Required. The key or identifier for the item. |
itemType |
Required. Type of the item (e.g., "hunt-summary", "hunt-determination", "step-task", "step-query", "step-summary"). |
content |
Optional. The actual feedback content for this specific item. |
subItems[] |
Optional. Optional: Nested feedback for sub-items or sub-components. |
FeedbackContent
Contains the actual feedback ratings.
| JSON representation |
|---|
{
"rating": enum ( |
| Fields | |
|---|---|
rating |
Optional. Represents the satisfaction rating for the item. |
reasonLabels[] |
Optional. The optional reasons for the given rating (multi-select). |
FeedbackType
Feedback types.
| Enums | |
|---|---|
FEEDBACK_TYPE_UNKNOWN |
Unknown feedback. |
POSITIVE |
Positive feedback. |
NEGATIVE |
Negative feedback. |
REWRITE |
Negative feedback with a rewritten answer. |
DISCARD |
Indicates a generated response was discarded. |